Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Public Attributes | List of all members
radm::PowerDevice::Settings Struct Reference

## Public Attributes
DeviceType | type
| Type of PDU.
string | name
| PDU name.
string | host
| Network host name of PDU, read-only after initial creation.
int | port
| SNMP network port.
boolean | useSnmpV3
| Whether to use SNMPv3 instead of SNMP v1/2c.
string | community
| SNMP write community string (only valid for SNMP v1/2c)
string | userName
| SNMP v3 user name (only valid for SNMP v3)
SnmpSecurityLevel | secLevel
| SNMP security level (only valid for SNMP v3)
SnmpAuthProtocol | authProtocol
| SNMP authentication protocol (only valid for SNMP v3)
string | authPass
| SNMP authentication password (only valid for SNMP v3)
SnmpPrivProtocol | privProtocol
| SNMP privacy protocol (only valid for SNMP v3)
string | privPass
| SNMP privacy password (only valid for SNMP v3)

## Detailed Description

Definition at line 47 of file PowerDevice.idl.

## Member Data Documentation

## ◆ authPass

string radm::PowerDevice::Settings::authPass

SNMP authentication password (only valid for SNMP v3)

Definition at line 57 of file PowerDevice.idl.

## ◆ authProtocol

SnmpAuthProtocol radm::PowerDevice::Settings::authProtocol

SNMP authentication protocol (only valid for SNMP v3)

Definition at line 56 of file PowerDevice.idl.

## ◆ community

string radm::PowerDevice::Settings::community

SNMP write community string (only valid for SNMP v1/2c)

Definition at line 53 of file PowerDevice.idl.

## ◆ host

string radm::PowerDevice::Settings::host

Network host name of PDU, read-only after initial creation.

Definition at line 50 of file PowerDevice.idl.

## ◆ name

string radm::PowerDevice::Settings::name

PDU name.

Definition at line 49 of file PowerDevice.idl.

## ◆ port

int radm::PowerDevice::Settings::port

SNMP network port.

Definition at line 51 of file PowerDevice.idl.

## ◆ privPass

string radm::PowerDevice::Settings::privPass

SNMP privacy password (only valid for SNMP v3)

Definition at line 59 of file PowerDevice.idl.

## ◆ privProtocol

SnmpPrivProtocol radm::PowerDevice::Settings::privProtocol

SNMP privacy protocol (only valid for SNMP v3)

Definition at line 58 of file PowerDevice.idl.

## ◆ secLevel

SnmpSecurityLevel radm::PowerDevice::Settings::secLevel

SNMP security level (only valid for SNMP v3)

Definition at line 55 of file PowerDevice.idl.

## ◆ type

DeviceType radm::PowerDevice::Settings::type

Type of PDU.

Definition at line 48 of file PowerDevice.idl.

## ◆ userName

string radm::PowerDevice::Settings::userName

SNMP v3 user name (only valid for SNMP v3)

Definition at line 54 of file PowerDevice.idl.

## ◆ useSnmpV3

boolean radm::PowerDevice::Settings::useSnmpV3

Whether to use SNMPv3 instead of SNMP v1/2c.

Definition at line 52 of file PowerDevice.idl.

The documentation for this struct was generated from the following file:

- PowerDevice.idl